Update workflow metadata
curl --request PUT \
--url https://api.kadoa.com/v4/workflows/{workflowId}/metadata \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"urls": [
"<string>"
],
"limit": 123,
"schedules": [
"<string>"
],
"name": "<string>",
"description": "<string>",
"tags": [
"tag1",
"tag2"
],
"location": {
"isoCode": "<string>"
},
"monitoring": {
"fields": [
{
"fieldName": "<string>"
}
],
"conditions": {
"conditions": [
{
"field": "<string>",
"operator": "<string>",
"value": "<string>"
}
]
}
},
"entity": "job_posting",
"schema": [
{
"name": "<string>",
"description": "<string>",
"example": "<string>",
"isPrimaryKey": true,
"isRequired": true,
"isUnique": true
}
],
"additionalData": {},
"userPrompt": "<string>"
}
'import requests
url = "https://api.kadoa.com/v4/workflows/{workflowId}/metadata"
payload = {
"urls": ["<string>"],
"limit": 123,
"schedules": ["<string>"],
"name": "<string>",
"description": "<string>",
"tags": ["tag1", "tag2"],
"location": { "isoCode": "<string>" },
"monitoring": {
"fields": [{ "fieldName": "<string>" }],
"conditions": { "conditions": [
{
"field": "<string>",
"operator": "<string>",
"value": "<string>"
}
] }
},
"entity": "job_posting",
"schema": [
{
"name": "<string>",
"description": "<string>",
"example": "<string>",
"isPrimaryKey": True,
"isRequired": True,
"isUnique": True
}
],
"additionalData": {},
"userPrompt": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
urls: ['<string>'],
limit: 123,
schedules: ['<string>'],
name: '<string>',
description: '<string>',
tags: ['tag1', 'tag2'],
location: {isoCode: '<string>'},
monitoring: {
fields: [{fieldName: '<string>'}],
conditions: {conditions: [{field: '<string>', operator: '<string>', value: '<string>'}]}
},
entity: 'job_posting',
schema: [
{
name: '<string>',
description: '<string>',
example: '<string>',
isPrimaryKey: true,
isRequired: true,
isUnique: true
}
],
additionalData: {},
userPrompt: '<string>'
})
};
fetch('https://api.kadoa.com/v4/workflows/{workflowId}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}Workflows
Update workflow metadata
PUT
/
v4
/
workflows
/
{workflowId}
/
metadata
Update workflow metadata
Authorizations
API key for authentication
Path Parameters
ID of the workflow to update
Body
application/json
List of target URLs for the workflow
The new limit for the workflow
The new update interval for the workflow
Available options:
ONLY_ONCE, EVERY_10_MINUTES, HALF_HOURLY, HOURLY, THREE_HOURLY, SIX_HOURLY, TWELVE_HOURLY, EIGHTEEN_HOURLY, DAILY, TWO_DAY, THREE_DAY, WEEKLY, BIWEEKLY, TRIWEEKLY, FOUR_WEEKS, MONTHLY, REAL_TIME, CUSTOM Array of cron expressions for the workflow schedule
The new name for the workflow
The new description for the workflow
The tags for the workflow
Example:
["tag1", "tag2"]
The new location for the workflow
Show child attributes
Show child attributes
The monitoring config for the workflow
Show child attributes
Show child attributes
The new entity for the workflow
Example:
"job_posting"
The new extraction schema for the workflow
Show child attributes
Show child attributes
Additional static data for the workflow
Natural language instructions for the workflow.
Required string length:
10 - 5000⌘I